#ifndef _HEX_VALIDATOR_H_
#define _HEX_VALIDATOR_H_

#include <qvalidator.h> 

class CHexValidator: public QValidator
{
  Q_OBJECT
  
  public:
    enum EState
    {
      regularText = 0,
      hexadecimal,
      octal,
      binary,
    };

  public:
    CHexValidator( QWidget *parent, EState state, const char *name = 0 );
    ~CHexValidator( void );
    QValidator::State validate( QString &string, int &pos );
    void setState( EState state );
    void convert( QByteArray &dest, QString &src );

  private:
    EState mState;


};


#endif
